VERSION 5.00
Begin VB.Form frmMain 
   Caption         =   "MQICP - MQI Code Print Example"
   ClientHeight    =   1440
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   6840
   Icon            =   "main3.1.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   1440
   ScaleWidth      =   6840
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdVersion 
      Caption         =   "&Version..."
      Height          =   375
      Left            =   4380
      TabIndex        =   7
      Top             =   960
      Width           =   975
   End
   Begin VB.TextBox txtReasonCode 
      Height          =   285
      Left            =   1380
      TabIndex        =   0
      Text            =   "txtReasonCode"
      Top             =   120
      Width           =   1215
   End
   Begin VB.TextBox txtCompCode 
      Height          =   285
      Left            =   1380
      TabIndex        =   1
      Text            =   "txtCompCode"
      Top             =   540
      Width           =   1215
   End
   Begin VB.CommandButton cmdExit 
      Caption         =   "E&xit"
      Height          =   375
      Left            =   1920
      TabIndex        =   2
      Top             =   960
      Width           =   975
   End
   Begin VB.Label lblReasonCode 
      AutoSize        =   -1  'True
      Caption         =   "lblReasonCode"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   2760
      TabIndex        =   6
      Top             =   180
      Width           =   1290
   End
   Begin VB.Label lblCompCode 
      AutoSize        =   -1  'True
      Caption         =   "lblCompCode"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   2760
      TabIndex        =   5
      Top             =   600
      Width           =   1110
   End
   Begin VB.Label Label1 
      AutoSize        =   -1  'True
      Caption         =   "Reason Code"
      Height          =   195
      Index           =   1
      Left            =   60
      TabIndex        =   4
      Top             =   180
      Width           =   975
   End
   Begin VB.Label Label1 
      AutoSize        =   -1  'True
      Caption         =   "Completion Code"
      Height          =   195
      Index           =   0
      Left            =   60
      TabIndex        =   3
      Top             =   600
      Width           =   1200
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'
' IBM SupportPac MA0K
' WebSphere MQ Completion Code and Reason Code analysis programs V1.4
' http://www.ibm.com/support/docview.wss?uid=swg24000652
'
' MQICP "WebSphere MQ MQI Code Print Example" in Visual Basic 5.0
'
' "frmMain" Form and Code module
'
' Source file: \\IBM-L3V1408\MWARE-WMQ\winutils\mqicp-v3.1\main3.1.frm
'
' Version    Date         Name      Changes
'     1.1    01 Sep 1999  Glenn     Initial version for MQ 5.2 in SupportPac MA0K
'                         Baddeley  <glenbadd@au1.ibm.com>
'       2    28 Jan 2004  GB        Change owner from IBM GSA to IBM Australia
'       3    10 Mar 2004  GB        Use mqutil8.bas rather than mqutil7.bas,
'                                   Increase size of window, Add cmdVersion
'       4    12 Aug 2004  GB        Change organisation name in cmdVersion_Click
'                                   to On demand Infrastructure Services
'     3.1    22 Oct 2008  GB        Update for MQ 7.0 GA
'
Private Const SRCID = "@(#)MAIN3.1.FRM VER=3.1 DATE=22-Oct-2008"

' <N_OCO_COPYRIGHT>
' Licensed Materials - Property of IBM
' (c) Copyright IBM Corp. 2008 All Rights Reserved.
' US Government Users Restricted Rights - Use, duplication or
' disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
' <NOC_COPYRIGHT>
Private Const CPRID = "@(#)Copyright 2008 IBM Corp."
Private Const OWNID = "@(#)Licensed Materials - Property of IBM"

Option Explicit

Private Sub cmdExit_Click()

    Unload Me
    
End Sub

Private Sub cmdVersion_Click()

Dim Msg As String

    Msg = Caption & vbCrLf & vbCrLf
    Msg = Msg & App.EXEName & " program version " & App.Major & "." & App.Minor & " of " & App.Comments & vbCrLf & vbCrLf
    Msg = Msg & "Copyright " & App.LegalCopyright & vbCrLf & vbCrLf
    Msg = Msg & "IBM Australia / Global Technology Services /" & vbCrLf
    Msg = Msg & "Messaging Integration Middleware" & vbCrLf & vbCrLf
    Msg = Msg & "This program is part of IBM SupportPac MA0K" & vbCrLf
    Msg = Msg & "WebSphere MQ Completion Code and Reason Code analysis programs V1.4" & vbCrLf
    Msg = Msg & "http://www.ibm.com/support/docview.wss?uid=swg24000652"
    
    MsgBox Msg, vbInformation, "Version"

End Sub

Private Sub Form_Load()

    txtReasonCode = "2033"
    txtReasonCode.SelStart = Len(txtReasonCode)
    txtCompCode = "2"
    txtCompCode.SelStart = Len(txtCompCode)
    
End Sub

Private Sub Form_Unload(Cancel As Integer)

    End
    
End Sub

Private Sub txtCompCode_Change()

Dim Cc As Long

    On Error Resume Next
    Cc = CLng(txtCompCode)
    If Err Then
        lblCompCode = ""
    Else
        lblCompCode = MQCompCodeMsg(Cc)
    End If
    
End Sub

Private Sub txtReasonCode_Change()

Dim Rc As Long

    On Error Resume Next
    Rc = CLng(txtReasonCode)
    If Err Then
        lblReasonCode = ""
    Else
        lblReasonCode = MQReasonCodeMsg(Rc)
    End If

End Sub
